<?php

namespace ArchiElite\Iyzipay\Iyzipay\Model;

use ArchiElite\Iyzipay\Iyzipay\Model\Mapper\PaymentMapper;
use ArchiElite\Iyzipay\Iyzipay\Options;
use ArchiElite\Iyzipay\Iyzipay\Request\CreatePaymentRequest;
use ArchiElite\Iyzipay\Iyzipay\Request\RetrievePaymentRequest;

class Payment extends PaymentResource
{
    public static function create(CreatePaymentRequest $request, Options $options)
    {
        $rawResult = parent::httpClient()->post($options->getBaseUrl() . '/payment/auth', parent::getHttpHeaders($request, $options), $request->toJsonString());

        return PaymentMapper::create($rawResult)->jsonDecode()->mapPayment(new Payment());
    }

    public static function retrieve(RetrievePaymentRequest $request, Options $options)
    {
        $rawResult = parent::httpClient()->post($options->getBaseUrl() . '/payment/detail', parent::getHttpHeaders($request, $options), $request->toJsonString());

        return PaymentMapper::create($rawResult)->jsonDecode()->mapPayment(new Payment());
    }
}
