<?php

namespace ArchiElite\Iyzipay\Iyzipay\Model\Subscription;

use ArchiElite\Iyzipay\Iyzipay\IyzipayResource;
use ArchiElite\Iyzipay\Iyzipay\Model\Mapper\Subscription\SubscriptionActionMapper;
use ArchiElite\Iyzipay\Iyzipay\Request\Subscription\SubscriptionActivateRequest;
use ArchiElite\Iyzipay\Iyzipay\Options;

class SubscriptionActivate extends IyzipayResource
{
    public static function update(SubscriptionActivateRequest $request, Options $options)
    {
        $uri = $options->getBaseUrl() . '/v2/subscription/subscriptions/' . $request->getSubscriptionReferenceCode() . '/activate';
        $rawResult = parent::httpClient()->post($uri, parent::getHttpHeadersV2($uri, $request, $options), $request->toJsonString());

        return SubscriptionActionMapper::create($rawResult)->jsonDecode()->mapSubscriptionAction(new SubscriptionActivate());
    }
}
