<?php

namespace ArchiElite\Iyzipay\Iyzipay\Model\Subscription;

use ArchiElite\Iyzipay\Iyzipay\IyzipayResource;
use ArchiElite\Iyzipay\Iyzipay\Model\Mapper\Subscription\SubscriptionActionMapper;
use ArchiElite\Iyzipay\Iyzipay\Request\Subscription\SubscriptionRetryRequest;
use ArchiElite\Iyzipay\Iyzipay\Options;

class SubscriptionRetry extends IyzipayResource
{
    public static function update(SubscriptionRetryRequest $request, Options $options)
    {
        $uri = $options->getBaseUrl() . '/v2/subscription/operation/retry';
        $rawResult = parent::httpClient()->post($uri, parent::getHttpHeadersV2($uri, $request, $options), $request->toJsonString());

        return SubscriptionActionMapper::create($rawResult)->jsonDecode()->mapSubscriptionAction(new SubscriptionRetry());
    }
}
