<?php

namespace ArchiElite\Iyzipay\Iyzipay\Request;

use ArchiElite\Iyzipay\Iyzipay\JsonBuilder;
use ArchiElite\Iyzipay\Iyzipay\Request;
use ArchiElite\Iyzipay\Iyzipay\RequestStringBuilder;

class RetrieveBinNumberRequest extends Request
{
    private $binNumber;

    public function getBinNumber()
    {
        return $this->binNumber;
    }

    public function setBinNumber($binNumber)
    {
        $this->binNumber = $binNumber;
    }

    public function getJsonObject()
    {
        return JsonBuilder::fromJsonObject(parent::getJsonObject())
            ->add('binNumber', $this->getBinNumber())
            ->getObject();
    }

    public function toPKIRequestString()
    {
        return RequestStringBuilder::create()
            ->appendSuper(parent::toPKIRequestString())
            ->append('binNumber', $this->getBinNumber())
            ->getRequestString();
    }
}
