<?php

namespace ArchiElite\Iyzipay\Iyzipay\Request;

use ArchiElite\Iyzipay\Iyzipay\JsonBuilder;
use ArchiElite\Iyzipay\Iyzipay\Request;
use ArchiElite\Iyzipay\Iyzipay\RequestStringBuilder;

class RetrievePayWithIyzicoRequest extends Request
{
    private $token;

    public function getToken()
    {
        return $this->token;
    }

    public function setToken($token)
    {
        $this->token = $token;
    }

    public function getJsonObject()
    {
        return JsonBuilder::fromJsonObject(parent::getJsonObject())
            ->add('token', $this->getToken())
            ->getObject();
    }

    public function toPKIRequestString()
    {
        return RequestStringBuilder::create()
            ->appendSuper(parent::toPKIRequestString())
            ->append('token', $this->getToken())
            ->getRequestString();
    }
}
